Debian Bug report logs - #599077
unblock: ocaml/3.11.2-2

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mehdi Dogguy <mehdi@debian.org>

Date: Mon, 4 Oct 2010 13:33:04 UTC

Severity: normal

Tags: confirmed

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-ocaml-maint@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599077; Package release.debian.org. (Mon, 04 Oct 2010 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
New Bug report received and forwarded. Copy sent to debian-ocaml-maint@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Oct 2010 13:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: ocaml/3.11.2-2
Date: Mon, 04 Oct 2010 15:31:38 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Hello,

I'd like to ask for a freeze-exception for ocaml. The only change is
in the ocaml-mode (an Emacs mode made for OCaml). It fixes a
compilation error when byte-compiling oacml-mode with xemacs21. We
workearounded the issue by disabling the byte-compilation for a few
files (the others byte-compile fine).

I didn't upload ocaml yet. I'm just wondering if you such an upload
would be ok for you.

The diff is below:

--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+ocaml (3.11.2-2) unstable; urgency=low
+
+  * debian/ocaml-mode.emacs-install: do not byte-compile camldebug.el
+    and inf-caml.el for xemacs21 (Closes: #508813, LP: #464587).
+
+ -- Mehdi Dogguy <mehdi@debian.org>  Mon, 04 Oct 2010 15:19:55 +0200
+
 ocaml (3.11.2-1) unstable; urgency=low
 
   [ Stephane Glondu ]
diff --git a/debian/ocaml-mode.emacsen-install b/debian/ocaml-mode.emacsen-install
index 2512296..a23b159 100644
--- a/debian/ocaml-mode.emacsen-install
+++ b/debian/ocaml-mode.emacsen-install
@@ -35,7 +35,7 @@ install -m 755 -d ${ELCDIR}
 cd ${ELDIR}
 case "${FLAVOR}" in
     xemacs21)
-       FILES=`ls *.el | grep -v caml-emacs`
+       FILES=`ls *.el | egrep -v caml-emacs\|camldebug.el\|inf-caml.el`
        ;;

     *)

Regards,

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599077; Package release.debian.org. (Mon, 04 Oct 2010 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Oct 2010 21:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 599077@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mehdi Dogguy <mehdi@debian.org>, 599077@bugs.debian.org
Subject: Re: Bug#599077: unblock: ocaml/3.11.2-2
Date: Mon, 04 Oct 2010 22:14:00 +0100
On Mon, 2010-10-04 at 15:31 +0200, Mehdi Dogguy wrote:
> I'd like to ask for a freeze-exception for ocaml. The only change is
> in the ocaml-mode (an Emacs mode made for OCaml). It fixes a
> compilation error when byte-compiling oacml-mode with xemacs21. We
> workearounded the issue by disabling the byte-compilation for a few
> files (the others byte-compile fine).
> 
> I didn't upload ocaml yet. I'm just wondering if you such an upload
> would be ok for you.

Yes, the diff looks ok.  (Although I see it's been fixed in git since
March...)

Regards,

Adam






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599077; Package release.debian.org. (Tue, 05 Oct 2010 06:09:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Oct 2010 06:09:23 GMT) Full text and rfc822 format available.

Message #15 received at 599077@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 599077@bugs.debian.org
Subject: Re: Bug#599077: unblock: ocaml/3.11.2-2
Date: Tue, 05 Oct 2010 08:01:39 +0200
tags 599077 + confirmed
thanks

On 10/04/2010 11:14 PM, Adam D. Barratt wrote:
> 
> Yes, the diff looks ok.  (Although I see it's been fixed in git
> since March...)
> 

Yes, we were waiting for a bigger update and somehow forgotten about the
committed changes (until a recent ping from a user).

I'll upload the package this evening.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) confirmed. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Tue, 05 Oct 2010 06:09:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599077; Package release.debian.org. (Tue, 05 Oct 2010 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Oct 2010 17:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 599077@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 599077@bugs.debian.org
Subject: Re: Bug#599077: unblock: ocaml/3.11.2-2
Date: Tue, 05 Oct 2010 19:06:26 +0200
On 04/10/2010 23:14, Adam D. Barratt wrote:
> On Mon, 2010-10-04 at 15:31 +0200, Mehdi Dogguy wrote:
>> I'd like to ask for a freeze-exception for ocaml. The only change is
>> in the ocaml-mode (an Emacs mode made for OCaml). It fixes a
>> compilation error when byte-compiling oacml-mode with xemacs21. We
>> workearounded the issue by disabling the byte-compilation for a few
>> files (the others byte-compile fine).
>>
>> I didn't upload ocaml yet. I'm just wondering if you such an upload
>> would be ok for you.
> 
> Yes, the diff looks ok.  (Although I see it's been fixed in git since
> March...)
> 

It's being uploaded.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
mehdi@{dogguy.org,debian.org}




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Tue, 05 Oct 2010 18:42:06 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Tue, 05 Oct 2010 18:42:06 GMT) Full text and rfc822 format available.

Message #27 received at 599077-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Mehdi Dogguy <mehdi@debian.org>, 599077-done@bugs.debian.org
Subject: Re: Bug#599077: unblock: ocaml/3.11.2-2
Date: Tue, 05 Oct 2010 19:40:06 +0100
On Tue, 2010-10-05 at 19:06 +0200, Mehdi Dogguy wrote:
> On 04/10/2010 23:14, Adam D. Barratt wrote:
> > On Mon, 2010-10-04 at 15:31 +0200, Mehdi Dogguy wrote:
> >> I'd like to ask for a freeze-exception for ocaml. The only change is
> >> in the ocaml-mode (an Emacs mode made for OCaml). It fixes a
> >> compilation error when byte-compiling oacml-mode with xemacs21. We
> >> workearounded the issue by disabling the byte-compilation for a few
> >> files (the others byte-compile fine).
> >>
> >> I didn't upload ocaml yet. I'm just wondering if you such an upload
> >> would be ok for you.
> > 
> > Yes, the diff looks ok.  (Although I see it's been fixed in git since
> > March...)
> > 
> 
> It's being uploaded.

Unblocked.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Nov 2010 07:31:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:10:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.